## org.eclipse.m2m.atl.drivers.uml24atl
Class ASMUMLModel

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel
                  org.eclipse.m2m.atl.drivers.emf4atl.ASMEMFModel
                      org.eclipse.m2m.atl.drivers.uml24atl.ASMUMLModel

    public final class ASMUMLModel

extends ASMEMFModel

The UML implementation of ASMModel.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.drivers.emf4atl.ASMEMFModel
`extent, modelElements, referencedExtents, resolveURI`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel
`myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`protected` `ASMUMLModel(java.lang.String name, org.eclipse.emf.ecore.resource.Resource extent, ASMEMFModel metamodel, boolean isTarget, ModelLoader ml)` Creates a new `ASMUMLModel`.

Method Summary
`void` `addDelayedInvocation(Invocation invocation)` Delays an invocation.
`void` `applyDelayedInvocations()` Applies all delayed operation invocations.
`protected ASMModelElement` `createASMModelElement(org.eclipse.emf.ecore.EObject object)` Creates a new `ASMUMLModelElement` for object.
`ASMModelElement` `getASMModelElement(org.eclipse.emf.ecore.EObject object)` Returns the ASMModelElement corresponding to the given `EObject`.
`int` `getLastStereotypeMethod(java.lang.String opName)` Gets the last stereotype method in the delayed invocations list.
`static ASMModel` `getMOF()` Returns the meta-metamodel.

Methods inherited from class org.eclipse.m2m.atl.drivers.emf4atl.ASMEMFModel
`finalize, findModelElement, getAllElementsByType, getAllElementsByType, getElementsByType, getExtent, getReferencedExtents, hashCode, newModelElement`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel
`getElementsByType, getMetamodel, getModelLoader, getName, isCheckSameModel, isTarget, newModelElement, newModelElement, setCheckSameModel, setIsTarget, toString`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, equals, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASMUMLModel

    protected ASMUMLModel(java.lang.String name,
                          org.eclipse.emf.ecore.resource.Resource extent,
                          ASMEMFModel metamodel,
                          boolean isTarget,
                          ModelLoader ml)

  Creates a new `ASMUMLModel`.

  Parameters:
    `name` - the model name
    `extent` - the model's inner resource
    `metamodel` - the metamodel
    `isTarget` - true if the model is an output model
    `ml` - the model loader creating this model

Method Detail

### getMOF

    public static ASMModel getMOF()

  Returns the meta-metamodel.

  Returns:
    the meta-metamodel.

### createASMModelElement

    protected ASMModelElement createASMModelElement(org.eclipse.emf.ecore.EObject object)

  Creates a new `ASMUMLModelElement` for object.

  Parameters:
    `object` - The object to wrap.
  Returns:
    a new `ASMUMLModelElement`

### getASMModelElement

    public ASMModelElement getASMModelElement(org.eclipse.emf.ecore.EObject object)

  Returns the ASMModelElement corresponding to the given `EObject`.

  Overrides:
    `getASMModelElement` in class `ASMEMFModel`
  Parameters:
    `object` - the given `EObject`
  Returns:
    the `ASMModelElement`
  See Also:
    `ASMEMFModel.getASMModelElement(org.eclipse.emf.ecore.EObject)`

### getLastStereotypeMethod

    public int getLastStereotypeMethod(java.lang.String opName)

  Gets the last stereotype method in the delayed invocations list.

  Parameters:
    `opName` - the operation name
  Returns:
    the last stereotype method index

### addDelayedInvocation

    public void addDelayedInvocation(Invocation invocation)

  Delays an invocation.

  Parameters:
    `invocation` - the operation invocation to delay

### applyDelayedInvocations

    public void applyDelayedInvocations()

  Applies all delayed operation invocations.

Copyright 2007 IBM Corporation and others. All Rights Reserved.